App\Entity\Marque:
    type: entity
    table: marque
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        name:
            type: string
            length: 255
            fixed: false
            nullable: true
        logo:
            type: string
            length: 255
            fixed: false
            nullable: true
        defaultVehiculePhoto:
            type: string
            length: 255
            fixed: false
            nullable: true
            column: default_vehicule_photo
    oneToMany:
        vehicules:
            targetEntity: Vehicule
            mappedBy: brand
        modeles:
            targetEntity: Modele
            mappedBy: marque